/ai/token/list_all


GET https://api.sitehost.nz/1.5/ai/token/list_all.json

Returns a list of all AI tokens for a client. Deleted tokens are not included.

Query Parameters

ParameterTypeRequiredDescription
client_idintegerYesThe ID for the client.Example: 1
filters[sort_by]stringThe field name to sort the results by.
filters[sort_dir]stringThe direction to sort in. Valid options are ASC and DESC
filters[page_size]integerThe number of items to return per page.
filters[page_number]integerThe page number to return.

Code Samples

JavaScript PHP Rails Python
var xmlHttp = new XMLHttpRequest();
xmlHttp.open("GET", "https://api.sitehost.nz/1.5/ai/token/list_all.json?apikey=your_key_here&client_id=1", false);

xmlHttp.send();

var response = xmlHttp.responseText;
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.sitehost.nz/1.5/ai/token/list_all.json?apikey=your_key_here&client_id=1");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
$status = curl_getinfo($ch, CURLINFO_HTTP_CODE);
curl_close($ch);
require 'net/http'
require 'uri'

uri = URI.parse("https://api.sitehost.nz/1.5/ai/token/list_all.json?apikey=your_key_here&client_id=1")
http = Net::HTTP.new(uri.host, uri.port)
request = Net::HTTP::Get.new(uri.request_uri)

response = http.request(request)
import requests

uri = 'https://api.sitehost.nz/1.5/ai/token/list_all.json?apikey=your_key_here&client_id=1'

response = requests.get(uri)

Response

200:

application/json
{
    "return": {
        "total_items": 2,
        "current_items": 2,
        "current_page": 1,
        "total_pages": 1,
        "data": [
            {
                "key_id": "3f6c2a9e-8b14-4d7a-9c5e-1a2b3c4d5e6f",
                "label": "Production app",
                "date_added": "2026-09-01 10:15:42",
                "date_updated": "2026-09-14 16:03:08"
            },
            {
                "key_id": "9b1d4e7f-2c3a-4f5b-8e6d-7a8b9c0d1e2f",
                "label": "Search indexer",
                "date_added": "2026-09-10 09:30:00",
                "date_updated": "2026-09-10 09:30:00"
            }
        ]
    },
    "msg": "Successful",
    "status": true
}